package com.ruoyi.web.stock.mapper;

import com.ruoyi.web.stock.domain.WarehouseOperPerf;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WarehouseOperPerfMapper {
    WarehouseOperPerf selectById(Long id);

    List<WarehouseOperPerf> selectList(WarehouseOperPerf query);

    int insert(WarehouseOperPerf entity);

    int updateById(WarehouseOperPerf entity);

    int deleteById(@Param("id") Long id, @Param("orgId") String orgId, @Param("updateBy") String updateBy);

    Integer selectTodayMaxSeq(@Param("orgId") String orgId, @Param("dateText") String dateText);
}

